Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.yaml.snakeyaml.resolver
Class Resolver

    java.lang.Object
      org.yaml.snakeyaml.resolver.Resolver

    public class Resolver

extends Object

Resolver tries to detect a type by scalars's content (when the type is implicit)

Field Summary
`static Pattern` | `BOOL`
`static Pattern` | `EMPTY`
`static Pattern` | `FLOAT` The regular expression is taken from the 1.2 specification but '_'s are added to keep backwards compatibility
`static Pattern` | `INT`
`static Pattern` | `MERGE`
`static Pattern` | `NULL`
`static Pattern` | `TIMESTAMP`
`static Pattern` | `VALUE`
`static Pattern` | `YAML`
`protected Map<Character,List<org.yaml.snakeyaml.resolver.ResolverTuple>>` | `yamlImplicitResolvers`

Constructor Summary
`Resolver()`
`Resolver(boolean respectDefaultImplicitScalars)` Deprecated. override addImplicitResolvers instead

Method Summary
`void` | `addImplicitResolver(Tag tag, Pattern regexp, String first)`
`protected void` | `addImplicitResolvers()`
`Tag` | `resolve(NodeId kind, String value, boolean implicit)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BOOL

    public static final Pattern BOOL

### FLOAT

    public static final Pattern FLOAT

  The regular expression is taken from the 1.2 specification but '_'s are added to keep backwards compatibility

### INT

    public static final Pattern INT

### MERGE

    public static final Pattern MERGE

### NULL

    public static final Pattern NULL

### EMPTY

    public static final Pattern EMPTY

### TIMESTAMP

    public static final Pattern TIMESTAMP

### VALUE

    public static final Pattern VALUE

### YAML

    public static final Pattern YAML

### yamlImplicitResolvers

    protected Map<Character,List<org.yaml.snakeyaml.resolver.ResolverTuple>> yamlImplicitResolvers

Constructor Detail

### Resolver

    public Resolver(boolean respectDefaultImplicitScalars)

  Deprecated. override addImplicitResolvers instead

  Create Resolver

  Parameters:
    `respectDefaultImplicitScalars` - false to parse/dump scalars as plain Strings

### Resolver

    public Resolver()

Method Detail

### addImplicitResolvers

    protected void addImplicitResolvers()

### addImplicitResolver

    public void addImplicitResolver(Tag tag,
                                    Pattern regexp,
                                    String first)

### resolve

    public Tag resolve(NodeId kind,
                       String value,
                       boolean implicit)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2011. All Rights Reserved.